#!/bin/sh
#    GUIShell (c) 2002-2010 Jeffrey Bedard antiright@gmail.com

#    This file is part of GUIShell.

#     GUIShell is free software; you can redistribute it and/or
#     modify it under the terms of the GNU General Public License as
#     published by the Free Software Foundation; either version 2 of
#     the License, or (at your option) any later version.  GUIShell
#     is distributed in the hope that it will be useful, but WITHOUT
#     ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.  You should have
#     received a copy of the GNU General Public License along with
#     GUIShell; if not, write to the Free Software Foundation, Inc.,
#     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

ARSHELL=gtkshell
AWK=awk

# Import ACE environment.
eval "$(ACE -A Setup_Dirs -e)"

# Get current deskbar style.  
STYLE="$(ACE deskbar_style)"

SHORTCUTS="$HOME/.shortcutrc"

if [ "$STYLE" = "0" ]; then
	ACE -A GUIDL Old_Deskbar
elif [ "$STYLE" = "1" ]; then
    if [ "$(ACE Desk_Icons)" = "1" ]; then
	gtkshell -f $datadir/Horizontal_Deskbar.gdl\
		--- -on -og -24+48 'ACE ,ACE_32.png'\
		--- -on -og -24+96 'ACE File_Manager ,gtk-directory'\
		--- -on -og -24+144\
			'ACE -A GUIDL File_System_Panel ,gtk-harddisk'\
		--- -on -og -24+192\
			'ACE -A GUIDL Network_Panel ,gtk-network'\
		--- -on -og -24-48 'rm -rf ,gtk-delete'
    else
	touch $SHORTCUTS
	 ACE -A GUIDL Horizontal_Deskbar $(cat $SHORTCUTS)
    fi
else
	WIDTH=`xdpyinfo | grep dim | awk '{print $2}' | cut -dx -f1`
	gtkshell\
		-or 1 -on\
		-oi "menu"\
		-og ${WIDTH}x20+0-0\
		-aAm\
		"ACE,gtk-find"\
		"ACE Lock & # Lock,gtk-dialog-authentication"\
		"ACE File_Manager & # Files,gtk-open"\
		"ACE Screen & # Screen,gtk-network"\
		"ACE Terminal & # Terminal,gtk-execute"\
		"ACE Browser & # Browser,gtk-dnd"\
		"ACE Sticky & # Sticky_Note,gtk-copy"\
		"ACE Editor & # Editor,gtk-edit"\
		"ACE Calculator & # Calculator,gtk-execute"\
		"ACE Chat & # Chat,gtk-connect"\
		"ACE Word & # Office,gtk-new"\
		"ACE CD_Player & # Music,gtk-media-play"\
		-oH -aAc
fi

