/*
  GUIShell
  (c) 2002-2010 Jeffrey Bedard
  antiright@gmail.com

  This file is part of GUIShell.

  GUIShell is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  GUIShell is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with GUIShell; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "gtkshell.h"

int
main (int argc, char **argv)
{
  gint counter;
  struct ARArguments *argset;
  GSH *gsh = alloca (sizeof (GSH));
//  printf("size:  %d\n", sizeof(GSH));
  fflush(stdout);
  gtk_init (&argc, &argv);

  argset = ARNEW (ar, ARArguments);
  $ (argset, add, argv[0]);

  for (counter = 1; (int) counter < argc; counter++)
    {
      /* Use '---' as thread separator.  */
      if (!strncmp (argv[counter], "---", 3))
	{
	  gsh_GSH (gsh);
	  $ (gsh, parse, (const gint) argc, (const gchar **) argv);
	  $ (gsh, finalize);
	  $ (argset, delete_options);
	  argset = ARNEW (ar, ARArguments);
	  $ (argset, add, argv[0]);
	}
      else			/* Add more arguments.  */
	{
	  $ (argset, add, argv[counter]);
	}
    }
  gsh_GSH (gsh);
  $ (gsh, parse, (const gint) argc, (const gchar **) argv);
  $ (gsh, finalize);
  $ (argset, delete_options);
  if (gsh->command_dictionary)
    $ (gsh->command_dictionary, delete);
  gtk_main ();			/* application main loop  */
  $ (gsh, delete);
  $ (argset, delete);

  return 0;
}
